// 通用设置api文件
import request from '@/utils/request'
import qs from 'qs'
let api = '/api-web'
// 分页查询商品(教材、辅件)列表
export function goodsQuery (data) {
  return request({
    url: api + '/goods/queryPage',
    method: 'get',
    params: data
  })
}

// 根据商品(教材、辅件)编号查询商品(教材、辅件)
export function goodsSingleQuery (data) {
  return request({
    url: api + `/goods/get/${data}`,
    method: 'get'
  })
}

// 修改上架下架状态
export function updateGoodsStatus (data) {
  return request({
    url: api + `/goods/updateGoodsStatus`,
    method: 'post',
    data: qs.stringify(data)
  })
}

// 新增商品(教材、辅件)
export function goodsAdd (data) {
  return request({
    url: api + '/goods/add',
    method: 'post',
    data: qs.stringify(data)
  })
}

// 修改商品(教材、辅件)
export function goodsUpdate (data) {
  return request({
    url: api + '/goods/update',
    method: 'post',
    data: qs.stringify(data)
  })
}

// 删除商品(教材、辅件)
export function goodsDelete (data) {
  return request({
    url: api + `/goods/del/${data}`,
    method: 'post'
  })
}

// 参数列表
export function categoryListTree (data) {
  return request({
    url: api + '/category/queryPage',
    method: 'get',
    params: data
  })
}

// 新增、修改商品类型
export function categoryUpSet (data) {
  return request({
    url: api + '/category/upset',
    method: 'post',
    data: data
  })
}

// 删除商品分类
export function categoryUpSetDel (data) {
  return request({
    url: api + `/category/del`,
    method: 'post',
    data: qs.stringify(data)
  })
}

// 更换列表
export function getSubjectChangeList (data) {
  return request({
    url: api + '/subjectChange/queryPage',
    method: 'get',
    params: data
  })
}
// 更新成本差
export function updateCostMargin (data) {
  return request({
    url: api + `/subjectChange/updateCostMargin`,
    method: 'post',
    data: qs.stringify(data)
  })
}
// 进货清单
export function getGoodsProcurements (data) {
  return request({
    url: api + '/goodsProcurement/queryGoodsProcurements',
    method: 'get',
    params: data
  })
}
// 添加进货清单

export function createGoodsProcurements (data) {
  return request({
    url: api + '/goods/addGoodsProcurement',
    method: 'post',
    params: data
  })
}
