// 通用设置api文件
import request from '@/utils/request'
import qs from 'qs'
let api = '/api-web'

// 查询用户未读消息条数
export function queryCountOfUnread (data) {
  return request({
    url: api + '/sysMessage/queryCountOfUnread',
    method: 'get',
    params: data
  })
}

// 获取所有消息列表
export function sysMessageList (data) {
  return request({
    url: api + '/sysMessage/list',
    method: 'get',
    params: data
  })
}

// 获取所有消息列表
export function setRead (data) {
  return request({
    url: api + '/sysMessage/setRead',
    method: 'post',
    data: qs.stringify(data)
  })
}

// 查询课程投诉详情
export function queryCourseScheduleComplaintsDetail (data) {
  return request({
    url: api + '/courseSchedule/queryCourseScheduleComplaintsDetail',
    method: 'get',
    params: data
  })
}

// 课程投诉审核
export function courseScheduleCommplaintAudit (data) {
  return request({
    url: api + '/courseSchedule/courseScheduleCommplaintAudit',
    method: 'post',
    data: qs.stringify(data)
  })
}

// 获取vip课基本信息
export function queryApplyRefundDetail (data) {
  return request({
    url: api + '/vipGroupManage/queryApplyRefundDetail',
    method: 'get',
    params: data
  })
}

// 退课申请审核
export function applyRefundAudit (data) {
  return request({
    url: api + '/vipGroupManage/applyRefundAudit',
    method: 'POST',
    data: qs.stringify(data)
  })
}

// 退团单查询
export function musicGroupQuit (data) {
  return request({
    url: api + '/musicGroupQuit/query',
    method: 'get',
    params: data
  })
}

// 退团申请审核
export function quitMusicGroup (data) {
  return request({
    url: api + '/musicGroupQuit/quitMusicGroup',
    method: 'POST',
    data,
    requestType:'json'
  })
}

// 教师请假记录详情
export function leaveQueryDetail (data) {
  return request({
    url: api + '/teacherLeaveRecord/queryDetail',
    method: 'get',
    params: data
  })
}

// 请假审核
export function approve (data) {
  return request({
    url: api + '/teacherLeaveRecord/approve',
    method: 'POST',
    data: qs.stringify(data)
  })
}

// vip课审核
export function vipApplyAudit (data) {
  return request({
    url: api + '/vipGroupManage/vipApplyAudit',
    method: 'POST',
    data: qs.stringify(data)
  })
}

// 获取已结算的课酬记录
export function findIsSettlementCourseSalarys (data) {
  return request({
    url: api + '/courseScheduleTeacherSalary/findIsSettlementCourseSalarys',
    method: 'GET',
    params: data
  })
}

// 开启课酬确认
export function openSalaryConfirm (data) {
  return request({
    url: api + '/courseScheduleTeacherSalary/openSalaryConfirm',
    method: 'GET',
    params: data
  })
}

// 关闭课酬确认
export function closeSalaryConfirm (data) {
  return request({
    url: api + '/courseScheduleTeacherSalary/closeSalaryConfirm',
    method: 'GET',
    params: data
  })
}

// 调整课酬
export function teacherSalaryModifyLog (data) {
  return request({
    url: api + '/teacherSalaryModifyLog/add',
    method: 'POST',
    data: qs.stringify(data)
  })
}


// 获取申述列表
export function teacherSalaryComplaints (data) {
  return request({
    url: api + '/teacherSalaryComplaints/queryPage',
    method: 'GET',
    params: data
  })
}

// 获取课酬申诉列表
export function teacherSalaryComplaintsDetail (data) {
  return request({
    url: api + '/teacherSalaryComplaints/get',
    method: 'GET',
    params: data
  })
}

// 课酬申诉处理
export function complaintsDispose (data) {
  return request({
    url: api + '/teacherSalaryComplaints/complaintsDispose',
    method: 'post',
    data: qs.stringify(data)
  })
}

// 获取考勤申诉列表
export function queryTeacherAttendanceComplaints (data) {
  return request({
    url: api + '/teacherAttendance/queryTeacherAttendanceComplaints',
    method: 'post',
    data: qs.stringify(data)
  })
}

// 同意考勤申诉
export function agreeTeacherAttendanceComplaints (data) {
  return request({
    url: api + '/teacherAttendance/agreeTeacherAttendanceComplaints',
    method: 'post',
    data: qs.stringify(data)
  })
}

// 拒绝考勤申诉
export function rejectTeacherAttendanceComplaints (data) {
  return request({
    url: api + '/teacherAttendance/rejectTeacherAttendanceComplaints',
    method: 'post',
    data: qs.stringify(data)
  })
}
