export const feeType = {
  '1': "固定费用",
  '2': "变动费用",
  '3': "业务退费",
}

export const feeProject = {
  1: '工资',
  2: '社保公积金',
  3: '房屋',
  4: '办公',
  5: '水电物业',
  6: '差旅',
  7: '服务',
  8: '福利',
  9: '活动',
  10: '交通',
  11: '考级',
  12: '琴行',
  13: '手续费',
  14: '税金',
  15: '通讯',
  16: '邮递运输',
  17: '招待费',
  18: '网络教室成本',
  19: '退费',
}
export const filterCourseType = {
  SINGLE: '声部课',
  MIX: '合奏课',
  HIGH: '基础训练课',
  COMPREHENSIVE: '综合课',
  TRAINING_SINGLE: '集训声部课',
  TRAINING_MIX: '集训合奏课',
  HIGH_ONLINE: '网络基础训练课',
  MUSIC_NETWORK: '乐团网管课',
  CLASSROOM: '课堂课',
}
export const courseType = {
  ...filterCourseType,
  ENLIGHTENMENT: '启蒙课',
  VIP: 'vip课',
  DEMO: '试听课',
  PRACTICE: '网管课',
  COMM: '对外课',
  MEMBER: '会员'
}

export const boolOptions = {
  true: '是',
  false: '否',
}

export const saleType = {
  INSTRUMENT: '乐器销售',
  ACCESSORIES: '配件销售',
  SCHOOL_BUY: '学校采购',
  OTHER: '其他',
}

export const genderType = {
  1: '男',
  0: '女',
}

export const paymentPatternType = {
  // 0: '按月',
  1: '按学期',
}

export const payUserType = {
  STUDENT: '学员',
  SCHOOL: '学校',
}

export const paymentType = {
  0: '续费',
  1: '报名',
}

export const userPaymentType = {
  ADD_STUDENT: '新增学员',
  ADD_COURSE: '临时加课',
  MUSIC_APPLY: '乐团报名',
  MUSIC_RENEW: '乐团续费',
  SPAN_GROUP_CLASS_ADJUST: '跨团合班',
}

export const payStatus = {
  AUDITING: '审核中',
  REJECT: '拒绝',
  NO: '未开启缴费',
  OPEN: '开启缴费',
  OVER: '缴费已结束',
  PAID: '已缴费'
}

export const payOrderType = {
  STUDENT: '个人',
  SCHOOL: '学校'
}

export const auditType = {
  AUDITING: '审核中',
  REJECT: '拒绝',
  NO: '未开启缴费',
  OPEN: '开启缴费',
  OVER: '缴费已结束',
  PAID: '已缴费',
  DRAFT: '编辑中'
}

export const auditPaymentType = {
  ADD_STUDENT: '新增学员',
  ADD_COURSE: '临时加课',
  MUSIC_APPLY: '乐团报名',
  MUSIC_RENEW: '乐团续费',
  SPAN_GROUP_CLASS_ADJUST: '合班缴费',
}

export const orderServerType = {
  SERVICE: '服务收入',
  SELL: '销售收入'
}

export const orderAuditType = {
  ING: '审核中',
  REJECT: '审核驳回',
  PASS: '审核通过'
}
export const kitGroupPurchaseType = {
  OWN: '自有',
  COOPERATION: '合作',
  LEASE: '租赁',
  FREE: '赠送',
  GROUP: '团购'
}

export const songUseType = {
  PERSON: '个人',
  COMMON: '公用',
}

export const journalType = {
  SYSTEM: '系统通知',
  STUDENT: '学生申诉',
  MUSICGROUP: '退团退课',
  LEAVE: '请假处理',
  VIPAPPLY: 'VIP申请审核',
}
export const jobNature = {
  PART_TIME: "兼职",
  FULL_TIME: "全职",
  LABOUR: '劳务'
  // TEMPORARY: "临时工"
}

export const workType = {
  TEACHING: "助教",
  BISHOP: "主教"
}

export const rewardModeType = {
  PER: '累计奖励',
  STAIR: '阶梯奖励'
}
export const teachMode = {
  ONLINE: '线上课',
  OFFLINE: '线下课'
}

export const updateAttendanceEnum = {
  SIGN_IN: '修复签到',
  SIGN_OUT: '修复签退',
  ALL: '签到和签退',
}
export const classTime = {
  SINGLE: "90",
  MIX: "90",
  HIGH: "45",
  HIGH_ONLINE: "45",
  COMPREHENSIVE: "90",
  PRACTICE: "25",
  MUSIC_NETWORK: "25",
  TRAINING_SINGLE: '180',
  TRAINING_MIX: '180',
  CLASSROOM: '40'
}

export const mergeCourseType = {
  MASTER: '合并课',
  ASSIST: '被合并课',
}
export const mergeType = {
  合并课: '合并课',
  被合并课: '被合并课',
}

export const belongDaya = {
  0: '其它课酬',
  1: '基本课酬'
}
let tenantConfig = sessionStorage.getItem('tenantConfig')
tenantConfig = tenantConfig ? JSON.parse(tenantConfig) : {}
let tenantId = tenantConfig.tenantId
let musicClassType = null
if (tenantId == 1) {
  musicClassType = {
    NORMAL: "声部班",
    MIX: "合奏班",
    HIGH: "基础技能班",
    SNAP: "临时班",
    HIGH_ONLINE: '线上基础技能班',
    MUSIC_NETWORK: "乐团网管课"
  }
} else {
  musicClassType = {
    NORMAL: "声部班",
    MIX: "合奏班",
    HIGH: "基础技能班",
    SNAP: "临时班",
  }
}
export {
  musicClassType
}

export const inspectionItem = {
  INSPECT: '下校巡查',
  VISIT: '学员回访'
}

export const complaintsStatus = {
  0: '拒绝',
  1: '通过',
  2: '待处理',
  3: '撤销'
}

export const packageStatus = {
  0: '不可用',
  1: '可用',
  2: '已使用',
}

export const musicGroupType = {
  DRAFT: '编辑中',
  AUDIT: '审核中',
  PRE_APPLY: '预报名中',
  PRE_BUILD_FEE: '创建缴费中',
  FEE_AUDIT: '费用审核中',
  APPLY: "报名中",
  PAY: "缴费中",
  PREPARE: "筹备中",
  PROGRESS: "进行中",
  CANCELED: '取消',
  PAUSE: '暂停',
  AUDIT_FAILED: '审核失败',
  CLOSE: '关闭'
}
export const gradeType = {
  0: '6+3',
  1: '5+4'
}
export const ProbationPeriodStatus = {
  0: '正式',
  1: '试用',
  // 2: '离职',
  3: '实习'
}


export const clientType = {
  STUDENT: '学生端',
  TEACHER: '老师端',
  EDUCATION: '教务端'
}

export const clientTypeFilter = {
  STUDENT: '学生端',
  TEACHER: '老师端',
  EDUCATION: '教务端',
  SYSTEM: '教务端'
}
// export const musicScoreCategoriesId = [
//   ''
// ]
export const downListType = {
  0: '订单列表',
  1: '课表列表',
  2: '财务管理',
  3: 'VIP网管课耗导出',
  4: '网管课学员课程',
  5: 'VIP课学员课程',
  6: 'VIP学员课程管理',
  7: '学员小课数据统计',
  8: '订单汇总',
  9: '乐团课表详情',
  10: '乐团数据导出',
  11: '活动资格导出',
  12:'乐团学生指标导出',
  13:'训练统计导出'
}

export const withdrawalStatus = {
  APPROVED: '同意',
  DENIED: '拒绝',
  PROCESSING: '处理中',
  CANCELED: '取消'
}

export const clientStatus = {
  NETWORK_ROOM: '网络教室',
  SMART_PRACTICE: '云教练'
}

export const conclusion = {
  0: '未提交',
  1: '正常',
  2: '异常'
}
export const vipResetType = {
  '1': '不限制',
  '0': '线上不可调为线下',
  '2': '线下不可调为线上',
  '3': '线上线下不可互调'
}
//   1: 'AMR收费',
export const courseViewType = {
  0: '课程收费',

  2: '会员收费'
}

export const couponType = {
  FULL_REDUCTION: '满减',
  DISCOUNT: '折扣'
}

export const orderType = {
  APPLY: "报名",
  RENEW: "续费",
  MEMBER: "会员购买",
  SMALL_CLASS_TO_BUY: "VIP购买",
  SPORADIC: '零星收费',
  LUCK: "福袋活动",
  PRACTICE: '网管课',
  PRACTICE_GROUP_BUY: '网管课购买',
  PRACTICE_GROUP_RENEW: '网管课续费',
  REPAIR: '乐器维修',
  OUTORDER: '外部收入',
  GOODS_SELL: '商品销售',
  SUBJECT_CHANGE: '声部更换',
  DOUBLE_ELEVEN2020: '2020双十一活动',
  DOUBLE_ELEVEN2021: '2021双十一活动',
  DEGREE: '儿童节活动',
  DEGREE_REGISTRATION: '考级报名',
  MAINTENANCE: '乐器保养',
  REPLACEMENT: '乐器置换',
  ADD_STUDENT: '乐团报名',
  SCHOOL: "学校订单",
  PERSONAL: "个人订单",
  OTHER: "其他",
  ACTIVITY: "活动购买",
  LIVE_BUY:'直播购物'
}

export const backType = {
  VIP: 'VIP退学',
  PRACTICE: '网管课关闭',
  MUSIC: '乐团退团',
  GOODS: '商品退费',
  SUBJECT_CHANGE: '声部更换',
  CANCEL_ACTIVITY_COURSE: '取消活动资格'
}

export const paymentMode = {
  YEAR: '年',
  MONTH: '月'
}

export const organState = {
  0: '草稿',
  1: '启动',
  2: '停用'
}

export const organPayState = {
  0: '未缴费',
  1: '已缴费'
}

// 机构交易类型
export const tenantStatus = {
  "TENANT_OPEN": '机构开通缴费',
  "TENANT_RENEW": '机构续费',
  "CLOUD_TEACHER": '激活云教练',
  "TENANT_RECHARGE": '机构充值'
}
//   "DAY": '天',
export const memberEnum = {

  "MONTH": '月度',
  "QUARTERLY": '季度',
  "YEAR_HALF": '半年',
  "YEAR": '年'
}
export const cloudGroupActive = {
  1: '固定天数',
  2: '月度',
  3: '季度',
  4: '半年',
  5: '年度'
}

// 扣费状态
export const chargingStatus = {
  0: '冻结',
  1: '扣费',
  2: '取消冻结'
}

export const coupontypeDetail = {
  FULLCOUPON: '全类券',
  OTHER: '其他',
  MUSICAL: '乐器',
  ACCESSORIES: '辅件',
  MAINTENANCE: '乐保服务',
  TEACHING: '教材',
  PRACTICE: '网管课',
  SINGLE: '声部课',
  MIX: '合奏课',
  VIP: 'VIP',

  MEMBER: '云教练'
}


// 发券方式
export const issue = {
  0: '主动领取',
  1: '手动发放',
  2: '交易获取'
}


// 小课回访状态
export const feedbackType = {
  'THINKING': '考虑中',
  'PENDING_PAYMENT': '确认缴费待缴费',
  'LOST': '回访流失',
  'PAUSE': '暂停',
  'OTHER': '其他',
  'NORMAL':'在读'
}

export const feedbackTypeDesc = {
  'PRICE': '价格原因',
  'TIME': '时间原因',
  'TEACHING': '教学不满意',
  'OTHER': '其他'
}

export const campState = {
  'READY':'筹备中',
  'APPLY':'报名中',
  'NOT_START':'未开始',
  'ING':'进行中',
  'END':'已结束'
}

export const catgGoupType = {
  NORMAL:'声部班',
  MIX:'合奏班',
  HIGH:'基础技能班',
  VIP:'VIP课',
  DEMO:'试听课',
  SNAP:'临时班',
  COMM:'对外课程',
  HIGH_ONLINE:'线上基础技能班',
  MUSIC_NETWORK:'乐团网管课',
  PARENT_MEETING:'家长会',
  TRAINING:'训练营',
  REPERTOIRE_PLAY:'曲目演奏课',
}

export const catType = {
  MUSIC:'乐团群',
  CLASS:'班级群',
  REPERTOIRE_PLAY:'曲目演奏课',
  TRAINING:'训练营',
  VIP:'VIP课群'
}
export const catDotType = {
  MUSIC:'乐团',
  CLASS:'班级',
  REPERTOIRE_PLAY:'演奏',
  TRAINING:'训练',
  VIP:'VIP'
}


export const catRole = {
  '指导老师':'指导老师',
  '乐队指导':'乐队指导',
  '乐团主管':'乐团主管',
  '运营主管':'运营主管',
  '衔接老师':'衔接老师',
  '学员':''
}


// 退团原因

export const quiteReason = {
  GRADUATE:'毕业',
  NOT_INTERESTED:'不感兴趣',
  TIME_CONFLICT:'时间冲突',
  FEELING_UNWELL:'身体不适',
  OTHER:'其他'
}
