import request from '@/utils/request2'
import request2 from '@/utils/request'

export const QueryPage = params => {
  return request({
    url: '/api-web/sysMusicScore/queryPage',
    data: {},
    params,
    requestType: 'form'
  })
}

export const Transcod = params => {
  return request({
    url: '/api-web/sysMusicScore/transcod',
    data: {},
    params: {
      sysMusicScoreId: params.id,
    },
    requestType: 'json',
    method: 'post'
  })
}

export const Add = data => {
  return request({
    url: '/api-web/sysMusicScore/add',
    method: 'post',
    data,
    params: {},
  })
}

export const Update = data => {
  return request2({
    url: '/api-web/sysMusicScore/update',
    method: 'post',
    data,
    params: {},
  })
}

export const Show = data => {
  return request({
    url: '/api-web/sysMusicScore/show',
    method: 'post',
    data,
    requestType: 'form'
  })
}

export const queryPageSysExam = data => {
  return request({
    url: '/api-web/sysMusicScoreAccompaniment/queryPage',
    method: 'get',
    params: data,
  })
}

export const Del = id => {
  return request({
    url: '/api-web/sysMusicScore/del',
    method: 'post',
    data: {},
    params: {
      id
    },
    requestType: 'form'
  })
}

export const queryTree = (data) => {
  return request({
    url: '/api-web/sysMusicScoreCategories/queryTree',
    method: 'get',
    data: {},
    params: data,
    requestType: 'form'
  })
}
